Name:          classmate
Version:       1.3.1
Release:       %mkrel 1
Group:         Development/Java
Summary:       Java introspection library
License:       ASL 2.0
Url:           http://github.com/cowtowncoder/java-classmate/
Source0:       https://github.com/cowtowncoder/java-classmate/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml:oss-parent:pom:)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)

BuildArch:     noarch

%description
Library for introspecting types with full generic information
including resolving of field and method types.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-%{name}-%{name}-%{version}

find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"

sed -i 's/\r//' src/main/resources/META-INF/LICENSE src/main/resources/META-INF/NOTICE
cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .

# this test fails junit.framework.AssertionFailedError: expected:<X> but was:<Y>
rm -r src/test/java/com/fasterxml/classmate/AnnotationsTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md VERSION.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 11 2017 neoclust <neoclust> 1.3.1-1.mga6
+ Revision: 1100212
- New version 1.3.1

* Wed Mar 02 2016 neoclust <neoclust> 1.2.0-4.mga6
+ Revision: 982288
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.2.0-3.mga6
+ Revision: 975751
- First rebuild of the java stack
- sync package classmate with fedora
- imported package classmate

* Sat Dec 27 2014 daviddavid <daviddavid> 0.8.0-4.mga5
+ Revision: 806383
- fix BuildRequires
- rebuild against current java stack

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Tue Oct 22 2013 umeabot <umeabot> 0.5.4-5.mga4
+ Revision: 545813
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.5.4-4.mga4
+ Revision: 501863
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 347824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 0.5.4-2.mga3
+ Revision: 325829
- Java Stack Mass Rebuild

* Sun Aug 14 2011 dmorgan <dmorgan> 0.5.4-0.mga2
+ Revision: 133046
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package classmate


* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 1.2.0-2
- rebuilt

* Fri Aug 07 2015 gil cattaneo <puntogil@libero.it> 1.2.0-1
- update to 1.2.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 15 2015 gil cattaneo <puntogil@libero.it> 1.1.0-1
- update to 1.1.0

* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 0.8.0-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.8.0-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 gil cattaneo <puntogil@libero.it> 0.8.0-2
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Apr 18 2013 gil cattaneo <puntogil@libero.it> 0.8.0-1
- update to 0.8.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.5.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat May 05 2012 gil cattaneo <puntogil@libero.it> 0.5.4-2
- changed summary

* Sun Apr 22 2012 gil cattaneo <puntogil@libero.it> 0.5.4-1
- initial rpm
